#Module-Specific definitions
%define mod_name mod_fcgid
%define mod_conf A27_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Mod_fcgid is a apache module for FastCGI
Name:		apache-%{mod_name}
Version:	1.07
Release:	%mkrel 4
Group:		System/Servers
License:	GPL
URL:		http://fastcgi.coremail.cn/
Source0:	http://fastcgi.coremail.cn/%{mod_name}.%{version}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		mod_fcgid.1.07-apache220.diff
Source2:	doc.htm.bz2
BuildRequires:	file
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
Provides:	apache2-mod_fcgid
Obsoletes:	apache2-mod_fcgid
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
mod_fcgid is a binary compatibility alternative to Apache module
mod_fastcgi. mod_fcgid has a new process management strategy,
which concentrates on reducing the number of fastcgi server, and
kick out the corrupt fastcgi server as soon as possible.

%prep

%setup -q -n %{mod_name}.%{version}
%patch0 -p0

# fix strange perms
chmod 644 AUTHOR ChangeLog INSTALL.txt

bzcat %{SOURCE2} > doc.html

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
#My_Flags=`%{_sbindir}/apxs -q CFLAGS`

#make \
#    top_dir=%{_libdir}/apache \
#    CFLAGS="$My_Flags -I."

%{_sbindir}/apxs -I. -c mod_fcgid.c fcgid_bridge.c fcgid_conf.c fcgid_pm_main.c fcgid_protocol.c fcgid_spawn_ctl.c \
arch/unix/fcgid_proctbl_unix.c arch/unix/fcgid_pm_unix.c arch/unix/fcgid_proc_unix.c fcgid_bucket.c fcgid_filter.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHOR ChangeLog INSTALL.txt doc.html
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*

%changelog
* Sun Aug 06 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.07-4mdv2007.0
- rebuild


* Fri Mar 03 2006 Michael Scherer <misc@mandriva.org> 1:1.07-3mdk
- enhance summary
- enable .fcgi handling by default

* Wed Dec 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.07-2mdk
- rebuilt against apache-2.2.0 (P0)

* Mon Nov 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.07-1mdk
- 1.07
- fix versioning
- fix dl url

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_1.04-2mdk
- fix deps

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_1.04-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.04-4mdk
- use the %%mkrel 1

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.04-3mdk
- fix %%post and %%postun to prevent double restarts
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.04-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.04-1mdk
- 1.04
- strip away annoying ^M

* Tue Feb  8 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.03-1mdk
- rebuilt for apache 2.0.53

* Fri Nov 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_1.03-2mdk
- fix deps

* Fri Nov 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_1.03-1mdk
- initial mandrake package
